Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.dom
Class CSSOMComputedStyle

    java.lang.Object
      org.apache.batik.css.dom.CSSOMComputedStyle

All Implemented Interfaces:
  CSSStyleDeclaration

Direct Known Subclasses:
  CSSOMSVGComputedStyle

    public class CSSOMComputedStyle

extends Object
implements CSSStyleDeclaration

This class represents the computed style of an element.

Nested Class Summary
`class` | `CSSOMComputedStyle.ComputedCSSValue` To manage a computed CSSValue.

Field Summary
`protected CSSEngine` | `cssEngine` The CSS engine used to compute the values.
`protected CSSStylableElement` | `element` The associated element.
`protected String` | `pseudoElement` The optional pseudo-element.
`protected Map` | `values` The CSS values.

Constructor Summary
`CSSOMComputedStyle(CSSEngine e, CSSStylableElement elt, String pseudoElt)` Creates a new computed style.

Method Summary
`protected CSSValue` | `createCSSValue(int idx)` Creates a CSSValue to manage the value at the given index.
`String` | `getCssText()` DOM: Implements `CSSStyleDeclaration.getCssText()`.
`int` | `getLength()` DOM: Implements `CSSStyleDeclaration.getLength()`.
`CSSRule` | `getParentRule()` DOM: Implements `CSSStyleDeclaration.getParentRule()`.
`CSSValue` | `getPropertyCSSValue(String propertyName)` DOM: Implements `CSSStyleDeclaration.getPropertyCSSValue(String)`.
`String` | `getPropertyPriority(String propertyName)` DOM: Implements `CSSStyleDeclaration.getPropertyPriority(String)`.
`String` | `getPropertyValue(String propertyName)` DOM: Implements `CSSStyleDeclaration.getPropertyValue(String)`.
`String` | `item(int index)` DOM: Implements `CSSStyleDeclaration.item(int)`.
`String` | `removeProperty(String propertyName)` DOM: Implements `CSSStyleDeclaration.removeProperty(String)`.
`void` | `setCssText(String cssText)` DOM: Implements `CSSStyleDeclaration.setCssText(String)`.
`void` | `setProperty(String propertyName, String value, String prio)` DOM: Implements `CSSStyleDeclaration.setProperty(String,String,String)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cssEngine

    protected CSSEngine cssEngine

  The CSS engine used to compute the values.

### element

    protected CSSStylableElement element

  The associated element.

### pseudoElement

    protected String pseudoElement

  The optional pseudo-element.

### values

    protected Map values

  The CSS values.

Constructor Detail

### CSSOMComputedStyle

    public CSSOMComputedStyle(CSSEngine e,
                              CSSStylableElement elt,
                              String pseudoElt)

  Creates a new computed style.

Method Detail

### getCssText

    public String getCssText()

  DOM: Implements `CSSStyleDeclaration.getCssText()`.

  Specified by:
    `getCssText` in interface `CSSStyleDeclaration`

### setCssText

    public void setCssText(String cssText)
                    throws DOMException

  DOM: Implements `CSSStyleDeclaration.setCssText(String)`. Throws a NO_MODIFICATION_ALLOWED_ERR `DOMException`.

  Specified by:
    `setCssText` in interface `CSSStyleDeclaration`
  Throws:
    `DOMException`

### getPropertyValue

    public String getPropertyValue(String propertyName)

  DOM: Implements `CSSStyleDeclaration.getPropertyValue(String)`.

  Specified by:
    `getPropertyValue` in interface `CSSStyleDeclaration`

### getPropertyCSSValue

    public CSSValue getPropertyCSSValue(String propertyName)

  DOM: Implements `CSSStyleDeclaration.getPropertyCSSValue(String)`.

  Specified by:
    `getPropertyCSSValue` in interface `CSSStyleDeclaration`

### removeProperty

    public String removeProperty(String propertyName)
                          throws DOMException

  DOM: Implements `CSSStyleDeclaration.removeProperty(String)`.

  Specified by:
    `removeProperty` in interface `CSSStyleDeclaration`
  Throws:
    `DOMException`

### getPropertyPriority

    public String getPropertyPriority(String propertyName)

  DOM: Implements `CSSStyleDeclaration.getPropertyPriority(String)`.

  Specified by:
    `getPropertyPriority` in interface `CSSStyleDeclaration`

### setProperty

    public void setProperty(String propertyName,
                            String value,
                            String prio)
                     throws DOMException

  DOM: Implements `CSSStyleDeclaration.setProperty(String,String,String)`.

  Specified by:
    `setProperty` in interface `CSSStyleDeclaration`
  Throws:
    `DOMException`

### getLength

    public int getLength()

  DOM: Implements `CSSStyleDeclaration.getLength()`.

  Specified by:
    `getLength` in interface `CSSStyleDeclaration`

### item

    public String item(int index)

  DOM: Implements `CSSStyleDeclaration.item(int)`.

  Specified by:
    `item` in interface `CSSStyleDeclaration`

### getParentRule

    public CSSRule getParentRule()

  DOM: Implements `CSSStyleDeclaration.getParentRule()`.

  Specified by:
    `getParentRule` in interface `CSSStyleDeclaration`
  Returns:
    null.

### createCSSValue

    protected CSSValue createCSSValue(int idx)

  Creates a CSSValue to manage the value at the given index.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.